from typing import Dict, Tuple

COUNTRIES_META: Dict[
    str,
    Tuple[str, str, str, str, str],
] = {
    "AC": ("Ascension Island", "🇦🇨", "SHP", "£", "SHP£"),
    "AD": ("Andorra", "🇦🇩", "EUR", "€", "€"),
    "AE": ("United Arab Emirates", "🇦🇪", "AED", "د.إ", "د.إ"),
    "AF": ("Afghanistan", "🇦🇫", "AFN", "؋", "AFN"),
    "AG": ("Antigua and Barbuda", "🇦🇬", "XCD", "$", "XCD$"),
    "AI": ("Anguilla", "🇦🇮", "XCD", "$", "XCD$"),
    "AL": ("Albania", "🇦🇱", "ALL", "L", "ALL"),
    "AM": ("Armenia", "🇦🇲", "AMD", "֏", "AMD"),
    "AN": ("Netherlands Antilles", "🇦🇳", "ANG", "ƒ", "ANGƒ"),
    "AO": ("Angola", "🇦🇴", "AOA", "Kz", "AOA"),
    "AQ": ("Antarctica", "🇦🇶", "USD", "$", "USD$"),
    "AR": ("Argentina", "🇦🇷", "ARS", "$", "ARS$"),
    "AS": ("American Samoa", "🇦🇸", "USD", "$", "USD$"),
    "AT": ("Austria", "🇦🇹", "EUR", "€", "€"),
    "AU": ("Australia", "🇦🇺", "AUD", "$", "AUD$"),
    "AW": ("Aruba", "🇦🇼", "AWG", "ƒ", "AWGƒ"),
    "AX": ("Åland Islands", "🇦🇽", "EUR", "€", "€"),
    "AZ": ("Azerbaijan", "🇦🇿", "AZN", "₼", "AZN₼"),
    "BA": ("Bosnia and Herzegovina", "🇧🇦", "BAM", "KM", "BAM"),
    "BB": ("Barbados", "🇧🇧", "BBD", "$", "BBD$"),
    "BD": ("Bangladesh", "🇧🇩", "BDT", "৳", "BDT৳"),
    "BE": ("Belgium", "🇧🇪", "EUR", "€", "€"),
    "BF": ("Burkina Faso", "🇧🇫", "XOF", "CFA", "XOFCFA"),
    "BG": ("Bulgaria", "🇧🇬", "BGN", "лв", "BGNлв"),
    "BH": ("Bahrain", "🇧🇭", "BHD", ".د.ب", "BHD.د.ب"),
    "BI": ("Burundi", "🇧🇮", "BIF", "FBu", "BIF"),
    "BJ": ("Benin", "🇧🇯", "XOF", "CFA", "XOFCFA"),
    "BL": ("Saint Barthélemy", "🇧🇱", "EUR", "€", "€"),
    "BM": ("Bermuda", "🇧🇲", "BMD", "$", "BMD$"),
    "BN": ("Brunei Darussalam", "🇧🇳", "BND", "$", "BND$"),
    "BO": ("Bolivia", "🇧🇴", "BOB", "Bs.", "BOB"),
    "BQ": ("Bonaire, Sint Eustatius and Saba", "🇧🇶", "EUR", "€", "€"),
    "BR": ("Brazil", "🇧🇷", "BRL", "R$", "BRLR$"),
    "BS": ("Bahamas", "🇧🇸", "BSD", "$", "BSD$"),
    "BT": ("Bhutan", "🇧🇹", "BTN", "Nu.", "BTN"),
    "BV": ("Bouvet Island", "🇧🇻", "NOK", "kr", "NOKkr"),
    "BW": ("Botswana", "🇧🇼", "BWP", "P", "BWPP"),
    "BY": ("Belarus", "🇧🇾", "BYN", "Br", "BYNBr"),
    "BZ": ("Belize", "🇧🇿", "BZD", "$", "BZD$"),
    "CA": ("Canada", "🇨🇦", "CAD", "$", "CAD$"),
    "CC": ("Cocos (Keeling) Islands", "🇨🇨", "AUD", "$", "AUD$"),
    "CD": ("Democratic Republic of the Congo", "🇨🇩", "CDF", "FC", "CDF"),
    "CF": ("Central African Republic", "🇨🇫", "XAF", "₣", "XAF₣"),
    "CG": ("Republic of the Congo", "🇨🇬", "XAF", "₣", "XAF₣"),
    "CH": ("Switzerland", "🇨🇭", "CHF", "CHF", "CHF"),
    "CI": ("Côte d'Ivoire", "🇨🇮", "XOF", "CFA", "XOFCFA"),
    "CK": ("Cook Islands", "🇨🇰", "NZD", "$", "NZD$"),
    "CL": ("Chile", "🇨🇱", "CLP", "$", "CLP$"),
    "CM": ("Cameroon", "🇨🇲", "XAF", "₣", "XAF₣"),
    "CN": ("China", "🇨🇳", "CNY", "¥", "CNY¥"),
    "CO": ("Colombia", "🇨🇴", "COP", "$", "COP$"),
    "CR": ("Costa Rica", "🇨🇷", "CRC", "₡", "CRC₡"),
    "CS": ("Serbia and Montenegro", "🇷🇸", "RSD", "дин.", "RSDдин."),
    "CU": ("Cuba", "🇨🇺", "CUP", "$", "CUP$"),
    "CV": ("Cabo Verde", "🇨🇻", "CVE", "$", "CVE$"),
    "CW": ("Curaçao", "🇨🇼", "ANG", "ƒ", "ANGƒ"),
    "CX": ("Christmas Island", "🇨🇽", "AUD", "$", "AUD$"),
    "CY": ("Cyprus", "🇨🇾", "EUR", "€", "€"),
    "CZ": ("Czech Republic", "🇨🇿", "CZK", "Kč", "CZKKč"),
    "DE": ("Germany", "🇩🇪", "EUR", "€", "€"),
    "DJ": ("Djibouti", "🇩🇯", "DJF", "Fdj", "DJFFdj"),
    "DK": ("Denmark", "🇩🇰", "DKK", "kr", "DKKkr"),
    "DM": ("Dominica", "🇩🇲", "XCD", "$", "XCD$"),
    "DO": ("Dominican Republic", "🇩🇴", "DOP", "$", "DOP$"),
    "DZ": ("Algeria", "🇩🇿", "DZD", "د.ج", "DZDد.ج"),
    "EC": ("Ecuador", "🇪🇨", "USD", "$", "USD$"),
    "EE": ("Estonia", "🇪🇪", "EUR", "€", "€"),
    "EG": ("Egypt", "🇪🇬", "EGP", "£", "EGP£"),
    "EH": ("Western Sahara", "🇪🇭", "MAD", "د.م.", "MADد.م."),
    "ER": ("Eritrea", "🇪🇷", "ERN", "Nfk", "ERN"),
    "ES": ("Spain", "🇪🇸", "EUR", "€", "€"),
    "ET": ("Ethiopia", "🇪🇹", "ETB", "Br", "ETBBr"),
    "FI": ("Finland", "🇫🇮", "EUR", "€", "€"),
    "FJ": ("Fiji", "🇫🇯", "FJD", "$", "FJD$"),
    "FK": ("Falkland Islands (Malvinas)", "🇫🇰", "FKP", "£", "FKP£"),
    "FM": ("Federated States of Micronesia", "🇫🇲", "USD", "$", "USD$"),
    "FO": ("Faroe Islands", "🇫🇴", "DKK", "kr", "DKKkr"),
    "FR": ("France", "🇫🇷", "EUR", "€", "€"),
    "GA": ("Gabon", "🇬🇦", "XAF", "₣", "XAF₣"),
    "GB": ("United Kingdom", "🇬🇧", "GBP", "£", "GBP£"),
    "GD": ("Grenada", "🇬🇩", "XCD", "$", "XCD$"),
    "GE": ("Georgia", "🇬🇪", "GEL", "₾", "GEL₾"),
    "GF": ("French Guiana", "🇬🇫", "EUR", "€", "€"),
    "GG": ("Guernsey", "🇬🇬", "GBP", "£", "GBP£"),
    "GH": ("Ghana", "🇬🇭", "GHS", "₵", "GHS₵"),
    "GI": ("Gibraltar", "🇬🇮", "GIP", "£", "GIP£"),
    "GL": ("Greenland", "🇬🇱", "DKK", "kr", "DKKkr"),
    "GM": ("Gambia", "🇬🇲", "GMD", "D", "GMDD"),
    "GN": ("Guinea", "🇬🇳", "GNF", "FG", "GNFFG"),
    "GP": ("Guadeloupe", "🇬🇵", "EUR", "€", "€"),
    "GQ": ("Equatorial Guinea", "🇬🇶", "XAF", "₣", "XAF₣"),
    "GR": ("Greece", "🇬🇷", "EUR", "€", "€"),
    "GS": (
        "South Georgia and the South Sandwich Islands",
        "🇬🇸",
        "GBP",
        "£",
        "GBP£",
    ),
    "GT": ("Guatemala", "🇬🇹", "GTQ", "Q", "GTQQ"),
    "GU": ("Guam", "🇬🇺", "USD", "$", "USD$"),
    "GW": ("Guinea-Bissau", "🇬🇼", "XOF", "CFA", "XOFCFA"),
    "GY": ("Guyana", "🇬🇾", "GYD", "$", "GYD$"),
    "HK": ("Hong Kong", "🇭🇰", "HKD", "$", "HKD$"),
    "HM": ("Heard Island and McDonald Islands", "🇭🇲", "AUD", "$", "AUD$"),
    "HN": ("Honduras", "🇭🇳", "HNL", "L", "HNLL"),
    "HR": ("Croatia", "🇭🇷", "HRK", "kn", "HRKkn"),
    "HT": ("Haiti", "🇭🇹", "HTG", "G", "HTGG"),
    "HU": ("Hungary", "🇭🇺", "HUF", "Ft", "HUF"),
    "IC": ("Canary Islands", "🇮🇨", "EUR", "€", "€"),
    "ID": ("Indonesia", "🇮🇩", "IDR", "Rp", "IDRRp"),
    "IE": ("Ireland", "🇮🇪", "EUR", "€", "€"),
    "IL": ("Israel", "🇮🇱", "ILS", "₪", "ILS₪"),
    "IM": ("Isle of Man", "🇮🇲", "GBP", "£", "GBP£"),
    "IN": ("India", "🇮🇳", "INR", "₹", "INR₹"),
    "IO": ("British Indian Ocean Territory", "🇮🇴", "USD", "$", "USD$"),
    "IQ": ("Iraq", "🇮🇶", "IQD", "ع.د", "IQDع.د"),
    "IR": ("Iran", "🇮🇷", "IRR", "﷼", "IRR﷼"),
    "IS": ("Iceland", "🇮🇸", "ISK", "kr", "ISKkr"),
    "IT": ("Italy", "🇮🇹", "EUR", "€", "€"),
    "JE": ("Jersey", "🇯🇪", "GBP", "£", "GBP£"),
    "JM": ("Jamaica", "🇯🇲", "JMD", "$", "JMD$"),
    "JO": ("Jordan", "🇯🇴", "JOD", "د.ا", "JODد.ا"),
    "JP": ("Japan", "🇯🇵", "JPY", "¥", "JPY¥"),
    "KE": ("Kenya", "🇰🇪", "KES", "KSh", "KESKSh"),
    "KG": ("Kyrgyzstan", "🇰🇬", "KGS", "с", "KGSс"),
    "KH": ("Cambodia", "🇰🇭", "KHR", "៛", "KHR៛"),
    "KI": ("Kiribati", "🇰🇮", "AUD", "$", "AUD$"),
    "KM": ("Comoros", "🇰🇲", "KMF", "CF", "KMFCF"),
    "KN": ("Saint Kitts and Nevis", "🇰🇳", "XCD", "$", "XCD$"),
    "KP": ("North Korea", "🇰🇵", "KPW", "₩", "KPW₩"),
    "KR": ("South Korea", "🇰🇷", "KRW", "₩", "KRW₩"),
    "KW": ("Kuwait", "🇰🇼", "KWD", "د.ك", "KWDد.ك"),
    "KY": ("Cayman Islands", "🇰🇾", "KYD", "$", "KYD$"),
    "KZ": ("Kazakhstan", "🇰🇿", "KZT", "₸", "KZT₸"),
    "LA": ("Laos", "🇱🇦", "LAK", "₭", "LAK₭"),
    "LB": ("Lebanon", "🇱🇧", "LBP", "ل.ل", "LBPl.ل"),
    "LC": ("Saint Lucia", "🇱🇨", "XCD", "$", "XCD$"),
    "LI": ("Liechtenstein", "🇱🇮", "CHF", "CHF", "CHF"),
    "LK": ("Sri Lanka", "🇱🇰", "LKR", "රු", "LKRRs"),
    "LR": ("Liberia", "🇱🇷", "LRD", "$", "LRD$"),
    "LS": ("Lesotho", "🇱🇸", "LSL", "L", "LSLL"),
    "LT": ("Lithuania", "🇱🇹", "EUR", "€", "€"),
    "LU": ("Luxembourg", "🇱🇺", "EUR", "€", "€"),
    "LV": ("Latvia", "🇱🇻", "EUR", "€", "€"),
    "LY": ("Libya", "🇱🇾", "LYD", "ل.د", "LYDل.د"),
    "MA": ("Morocco", "🇲🇦", "MAD", "د.م.", "MADد.م."),
    "MC": ("Monaco", "🇲🇨", "EUR", "€", "€"),
    "MD": ("Moldova", "🇲🇩", "MDL", "L", "MDLL"),
    "ME": ("Montenegro", "🇲🇪", "EUR", "€", "€"),
    "MF": ("Saint Martin (French part)", "🇲🇫", "EUR", "€", "€"),
    "MG": ("Madagascar", "🇲🇬", "MGA", "Ar", "MGAAr"),
    "MH": ("Marshall Islands", "🇲🇭", "USD", "$", "USD$"),
    "MK": ("North Macedonia", "🇲🇰", "MKD", "ден", "MKDден"),
    "ML": ("Mali", "🇲🇱", "XOF", "CFA", "XOFCFA"),
    "MM": ("Myanmar", "🇲🇲", "MMK", "K", "MMKK"),
    "MN": ("Mongolia", "🇲🇳", "MNT", "₮", "MNT₮"),
    "MO": ("Macao", "🇲🇴", "MOP", "MOP$", "MOPMOP$"),
    "MP": ("Northern Mariana Islands", "🇲🇵", "USD", "$", "USD$"),
    "MQ": ("Martinique", "🇲🇶", "EUR", "€", "€"),
    "MR": ("Mauritania", "🇲🇷", "MRU", "UM", "MRUUM"),
    "MS": ("Montserrat", "🇲🇸", "XCD", "$", "XCD$"),
    "MT": ("Malta", "🇲🇹", "EUR", "€", "€"),
    "MU": ("Mauritius", "🇲🇺", "MUR", "₨", "MUR₨"),
    "MV": ("Maldives", "🇲🇻", "MVR", "ރ.", "MVRރ."),
    "MW": ("Malawi", "🇲🇼", "MWK", "MK", "MWKMK"),
    "MX": ("Mexico", "🇲🇽", "MXN", "$", "MXN$"),
    "MY": ("Malaysia", "🇲🇾", "MYR", "RM", "MYRRM"),
    "MZ": ("Mozambique", "🇲🇿", "MZN", "MT", "MZNMt"),
    "NA": ("Namibia", "🇳🇦", "NAD", "$", "NAD$"),
    "NC": ("New Caledonia", "🇳🇨", "XPF", "₣", "XPF₣"),
    "NE": ("Niger", "🇳🇪", "XOF", "CFA", "XOFCFA"),
    "NF": ("Norfolk Island", "🇳🇫", "AUD", "$", "AUD$"),
    "NG": ("Nigeria", "🇳🇬", "NGN", "₦", "NGN₦"),
    "NI": ("Nicaragua", "🇳🇮", "NIO", "C$", "NIOC$"),
    "NL": ("Netherlands", "🇳🇱", "EUR", "€", "€"),
    "NO": ("Norway", "🇳🇴", "NOK", "kr", "NOKkr"),
    "NP": ("Nepal", "🇳🇵", "NPR", "₨", "NPR₨"),
    "NR": ("Nauru", "🇳🇷", "AUD", "$", "AUD$"),
    "NU": ("Niue", "🇳🇺", "NZD", "$", "NZD$"),
    "NZ": ("New Zealand", "🇳🇿", "NZD", "$", "NZD$"),
    "OM": ("Oman", "🇴🇲", "OMR", "ر.ع.", "OMRر.ع."),
    "PA": ("Panama", "🇵🇦", "PAB", "B/.", "PABB/."),
    "PE": ("Peru", "🇵🇪", "PEN", "S/.", "PENS/."),
    "PF": ("French Polynesia", "🇵🇫", "XPF", "₣", "XPF₣"),
    "PG": ("Papua New Guinea", "🇵🇬", "PGK", "K", "PGKK"),
    "PH": ("Philippines", "🇵🇭", "PHP", "₱", "PHP₱"),
    "PK": ("Pakistan", "🇵🇰", "PKR", "₨", "PKR₨"),
    "PL": ("Poland", "🇵🇱", "PLN", "zł", "PLNzł"),
    "PM": ("Saint Pierre and Miquelon", "🇵🇲", "EUR", "€", "€"),
    "PN": ("Pitcairn", "🇵🇳", "NZD", "$", "NZD$"),
    "PR": ("Puerto Rico", "🇵🇷", "USD", "$", "USD$"),
    "PS": ("Palestine", "🇵🇸", "ILS", "₪", "ILS₪"),
    "PT": ("Portugal", "🇵🇹", "EUR", "€", "€"),
    "PW": ("Palau", "🇵🇼", "USD", "$", "USD$"),
    "PY": ("Paraguay", "🇵🇾", "PYG", "₲", "PYG₲"),
    "QA": ("Qatar", "🇶🇦", "QAR", "ر.ق", "QARر.ق"),
    "RE": ("Réunion", "🇷🇪", "EUR", "€", "€"),
    "RO": ("Romania", "🇷🇴", "RON", "lei", "RONlei"),
    "RS": ("Serbia", "🇷🇸", "RSD", "дин.", "RSDдин."),
    "RU": ("Russia", "🇷🇺", "RUB", "₽", "RUB₽"),
    "RW": ("Rwanda", "🇷🇼", "RWF", "FRw", "RWFFRw"),
    "SA": ("Saudi Arabia", "🇸🇦", "SAR", "ر.س", "SARر.س"),
    "SB": ("Solomon Islands", "🇸🇧", "SBD", "$", "SBD$"),
    "SC": ("Seychelles", "🇸🇨", "SCR", "₨", "SCR₨"),
    "SD": ("Sudan", "🇸🇩", "SDG", "ج.س.", "SDGج.س."),
    "SE": ("Sweden", "🇸🇪", "SEK", "kr", "SEKkr"),
    "SG": ("Singapore", "🇸🇬", "SGD", "$", "SGD$"),
    "SH": (
        "Saint Helena, Ascension and Tristan da Cunha",
        "🇸🇭",
        "SHP",
        "£",
        "SHP£",
    ),
    "SI": ("Slovenia", "🇸🇮", "EUR", "€", "€"),
    "SJ": ("Svalbard and Jan Mayen", "🇸🇯", "NOK", "kr", "NOKkr"),
    "SK": ("Slovakia", "🇸🇰", "EUR", "€", "€"),
    "SL": ("Sierra Leone", "🇸🇱", "SLL", "Le", "SLLLe"),
    "SM": ("San Marino", "🇸🇲", "EUR", "€", "€"),
    "SN": ("Senegal", "🇸🇳", "XOF", "CFA", "XOFCFA"),
    "SO": ("Somalia", "🇸🇴", "SOS", "S", "SOSS"),
    "SR": ("Suriname", "🇸🇷", "SRD", "$", "SRD$"),
    "SS": ("South Sudan", "🇸🇸", "SSP", "£", "SSP£"),
    "ST": ("Sao Tome and Principe", "🇸🇹", "STN", "Db", "STNDb"),
    "SV": ("El Salvador", "🇸🇻", "USD", "$", "USD$"),
    "SX": ("Sint Maarten (Dutch part)", "🇸🇽", "ANG", "ƒ", "ANGƒ"),
    "SY": ("Syria", "🇸🇾", "SYP", "ل.س", "SYPl.س"),
    "SZ": ("Eswatini", "🇸🇿", "SZL", "L", "SZLL"),
    "TA": ("Tristan da Cunha", "🇹🇦", "SHP", "£", "SHP£"),
    "TC": ("Turks and Caicos Islands", "🇹🇨", "USD", "$", "USD$"),
    "TD": ("Chad", "🇹🇩", "XAF", "₣", "XAF₣"),
    "TF": ("French Southern Territories", "🇹🇫", "EUR", "€", "€"),
    "TG": ("Togo", "🇹🇬", "XOF", "CFA", "XOFCFA"),
    "TH": ("Thailand", "🇹🇭", "THB", "฿", "THB฿"),
    "TJ": ("Tajikistan", "🇹🇯", "TJS", "ЅМ", "TJSЅМ"),
    "TK": ("Tokelau", "🇹🇰", "NZD", "$", "NZD$"),
    "TL": ("Timor-Leste", "🇹🇱", "USD", "$", "USD$"),
    "TM": ("Turkmenistan", "🇹🇲", "TMT", "m", "TMTm"),
    "TN": ("Tunisia", "🇹🇳", "TND", "د.ت", "TNDد.ت"),
    "TO": ("Tonga", "🇹🇴", "TOP", "T$", "TOPT$"),
    "TR": ("Turkey", "🇹🇷", "TRY", "₺", "TRY₺"),
    "TT": ("Trinidad and Tobago", "🇹🇹", "TTD", "TT$", "TTD$"),
    "TV": ("Tuvalu", "🇹🇻", "AUD", "$", "AUD$"),
    "TW": ("Taiwan", "🇹🇼", "TWD", "NT$", "TWDNT$"),
    "TZ": ("Tanzania", "🇹🇿", "TZS", "TSh", "TZSTSh"),
    "UA": ("Ukraine", "🇺🇦", "UAH", "₴", "UAH₴"),
    "UG": ("Uganda", "🇺🇬", "UGX", "USh", "UGXUSh"),
    "UM": ("United States Minor Outlying Islands", "🇺🇲", "USD", "$", "USD$"),
    "US": ("United States of America", "🇺🇸", "USD", "$", "USD$"),
    "UY": ("Uruguay", "🇺🇾", "UYU", "$", "UYU$"),
    "UZ": ("Uzbekistan", "🇺🇿", "UZS", "с", "UZSс"),
    "VA": ("Vatican City", "🇻🇦", "EUR", "€", "€"),
    "VC": ("Saint Vincent and the Grenadines", "🇻🇨", "XCD", "$", "XCD$"),
    "VE": ("Venezuela", "🇻🇪", "VES", "Bs.", "VESBs."),
    "VG": ("British Virgin Islands", "🇻🇬", "USD", "$", "USD$"),
    "VI": ("U.S. Virgin Islands", "🇻🇮", "USD", "$", "USD$"),
    "VN": ("Vietnam", "🇻🇳", "VND", "₫", "VND₫"),
    "VU": ("Vanuatu", "🇻🇺", "VUV", "VT", "VUVVT"),
    "WF": ("Wallis and Futuna", "🇼🇫", "XPF", "₣", "XPF₣"),
    "WS": ("Samoa", "🇼🇸", "WST", "T", "WSTT"),
    "XK": ("Kosovo", "🇽🇰", "ALL", "L", "ALL"),
    "YE": ("Yemen", "🇾🇪", "YER", "﷼", "YER﷼"),
    "YT": ("Mayotte", "🇾🇹", "EUR", "€", "€"),
    "ZA": ("South Africa", "🇿🇦", "ZAR", "R", "ZARR"),
    "ZM": ("Zambia", "🇿🇲", "ZMW", "ZK", "ZMWZK"),
    "ZW": ("Zimbabwe", "🇿🇼", "ZWL", "$", "ZWL$"),
    "XX": ("Unknown", "", "", "", ""),
}
